Read
List Paginated
Get paginated filtered metadata based on conditions.
Request Body
| Field | Type | Description |
|---|---|---|
datasource_id | Optional[UUID] | Id of the data connector (vector database profile). |
dataslice_id | Optional[str] | ID of the dataslice to get files from. |
tag_ids | Optional[List[str]] | List of tag ids to include in the metadata. |
include_chunk_level | Optional[bool] | Whether to include chunk-level metadata. Default: true |
offset | Optional[int] | Pagination offset to start from. Default: 0 |
limit | Optional[int] | Maximum number of metadata items to return. Default: 50 |
include_last_updated | Optional[bool] | Whether to include the last updated timestamp. Default: false |
Response
- 200: Metadata retrieved successfully
- Returns:
{ "metadata": Deasy_Metadata, "next_offset": Optional[int], "tag_names": Dict[str, str] }
- Returns:
- 500: Internal Server Error
Example
POST
Python
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
